// This file was generated by qlalr - DO NOT EDIT!
#include "table_lgcinputlexerio_p.h"

const char *const Table_LGCInputLexerIO::spell [] = {
    "end of file", "Unknown", "New line '\\n'", "Comment", "Word (Pointname?)", "Integer number", "Decimal number", "\"", "$", 0,
    "*TITR", "*END", "*FIN", "TX", "TY", "TZ", "RX", "RY", "RZ", "SCL",
    "*LEP", "*OLOC", "*RS2K", "*SPHE", "*ALLFIXED", "*PREC", "*SIMU", "*APRI", "*CHABA", "*COVAR",
    "*CONSI", "LIBR", "*DEFA", "*EREL", "*ERELFRAME", "*FAUT", "*FMTP", "SEP", "COL", "*HIST",
    "*JSON", "COVAR", "*NODUP", "*PDOR", "*PRES", "*PUNC", "E", "EE", "H", "Z",
    "HZ", "HN", "ZHN", "T", "OUT1", "OUT3", "*SOBS", "*INSTR", "*CAMD", "*EDM",
    "*LEVEL", "*POLAR", "*SCALE", "*INCL", "*HLSR", "*WPSR", "*FRAME", "*ENDFRAME", 0, "SLAVE",
    0, "*CALA", "*POIN", "*VXY", "*VXZ", "*VYZ", "*VZ", "*CAM", "*UVD", "*UVEC",
    "*DSPT", "*DLEV", "*TSTN", "*V0", "*ANGL", "*DHOR", "*DIST", "*ECDIR", "*ECTH", "*PLR3D",
    "*ZEND", "*ORIE", "*ECHO", "*ECVE", "*ECSP", "*INCLY", "*ECWS", "*ECWI", "*DVER", "*OBSXYZ",
    "*RADI", "ID", 0, "AC", "ACSE", "ACST", "ASE", "CST", "DCOR", "DHOR",
    "DSE", "ICSE", "IH", "IHFIX", "IHSE", "INSTR", "PPM", "PtLine", "RefPt", "RF",
    "RFSE", "ROT3D", "SAGFIX", "SAGSE", "SCALE", "TCSE", "TH", "THSE", "TRGT", "OBSE",
    "WIID", "WSID", "WSSE", "XICSE", "XSE", "YSE", "ZICSE", "ZSE", 0
};

const short Table_LGCInputLexerIO::lhs [] = {
    140, 140, 140, 140, 141, 142, 142, 143, 143, 144,
    144, 144, 145, 145, 146, 146, 147, 147, 148, 149,
    150, 151, 151, 152, 153, 153, 153, 153, 153, 153,
    153, 139, 139, 157, 157, 161, 161, 162, 162, 162,
    154, 154, 166, 167, 167, 167, 167, 155, 168, 168,
    168, 168, 168, 168, 169, 172, 172, 172, 172, 170,
    170, 173, 173, 174, 174, 174, 175, 176, 176, 171,
    171, 177, 177, 178, 180, 180, 180, 180, 180, 180,
    180, 180, 179, 179, 179, 179, 179, 179, 179, 179,
    183, 183, 183, 189, 190, 191, 191, 192, 192, 192,
    192, 192, 192, 192, 181, 181, 193, 194, 194, 182,
    182, 195, 196, 184, 184, 197, 198, 185, 185, 199,
    200, 201, 186, 186, 202, 203, 204, 187, 205, 206,
    188, 188, 207, 208, 208, 208, 208, 208, 208, 208,
    208, 208, 208, 156, 156, 209, 210, 210, 211, 211,
    211, 211, 211, 211, 211, 211, 212, 224, 213, 213,
    225, 226, 226, 214, 227, 215, 215, 228, 229, 216,
    230, 217, 217, 231, 232, 218, 233, 219, 219, 234,
    235, 220, 236, 221, 237, 222, 238, 223, 239, 163,
    163, 241, 241, 243, 243, 243, 240, 247, 247, 247,
    248, 249, 249, 250, 246, 242, 244, 251, 251, 245,
    245, 245, 245, 254, 254, 259, 259, 260, 260, 260,
    253, 255, 256, 164, 267, 267, 267, 267, 267, 267,
    252, 252, 268, 268, 268, 268, 269, 160, 270, 272,
    272, 271, 271, 165, 165, 165, 165, 165, 165, 165,
    165, 280, 281, 282, 283, 284, 285, 286, 287, 288,
    289, 290, 291, 292, 293, 294, 295, 296, 297, 298,
    299, 300, 301, 302, 303, 304, 305, 306, 307, 308,
    309, 310, 311, 312, 313, 314, 315, 264, 264, 316,
    316, 318, 319, 319, 320, 320, 317, 317, 321, 321,
    322, 322, 324, 324, 326, 325, 325, 327, 327, 327,
    327, 328, 329, 329, 330, 330, 330, 330, 330, 330,
    323, 323, 331, 331, 333, 332, 332, 334, 334, 334,
    334, 335, 336, 336, 337, 337, 337, 337, 337, 273,
    338, 338, 339, 339, 341, 342, 342, 343, 343, 343,
    343, 343, 340, 340, 344, 344, 344, 344, 345, 346,
    346, 347, 347, 347, 347, 347, 347, 347, 274, 348,
    348, 349, 349, 351, 350, 350, 352, 352, 352, 352,
    353, 354, 354, 355, 355, 355, 355, 355, 355, 355,
    275, 275, 356, 356, 358, 358, 360, 361, 361, 362,
    362, 362, 359, 359, 363, 363, 363, 363, 364, 365,
    365, 366, 366, 366, 366, 357, 357, 257, 257, 368,
    369, 369, 370, 370, 370, 370, 370, 370, 258, 258,
    371, 372, 372, 373, 373, 367, 367, 374, 374, 374,
    374, 374, 374, 374, 261, 261, 379, 379, 381, 380,
    380, 382, 382, 382, 382, 383, 384, 384, 385, 385,
    385, 385, 375, 375, 386, 386, 388, 387, 387, 389,
    389, 389, 389, 390, 391, 391, 392, 392, 392, 392,
    392, 262, 262, 393, 393, 395, 394, 394, 396, 396,
    396, 396, 397, 398, 398, 399, 399, 399, 399, 399,
    399, 399, 376, 376, 400, 402, 401, 401, 403, 403,
    403, 403, 404, 405, 405, 406, 406, 406, 406, 406,
    377, 377, 407, 409, 408, 408, 410, 410, 410, 410,
    411, 412, 412, 413, 413, 413, 413, 413, 378, 378,
    414, 414, 416, 415, 415, 417, 417, 417, 417, 418,
    419, 419, 420, 420, 420, 420, 420, 420, 420, 420,
    420, 263, 263, 421, 421, 423, 422, 422, 424, 424,
    424, 424, 425, 426, 426, 427, 427, 427, 427, 427,
    427, 276, 276, 276, 428, 428, 431, 433, 432, 432,
    434, 434, 434, 434, 435, 436, 436, 437, 437, 437,
    437, 437, 429, 429, 438, 438, 440, 439, 439, 441,
    441, 441, 441, 442, 443, 443, 444, 444, 444, 444,
    444, 430, 430, 445, 447, 446, 446, 448, 448, 448,
    448, 449, 450, 450, 451, 451, 451, 451, 451, 266,
    452, 452, 453, 455, 454, 454, 456, 456, 456, 456,
    457, 458, 458, 459, 459, 459, 459, 459, 459, 459,
    459, 277, 460, 460, 461, 461, 463, 462, 462, 464,
    464, 464, 464, 465, 466, 466, 467, 467, 467, 467,
    467, 467, 278, 468, 468, 469, 469, 472, 472, 473,
    473, 473, 471, 470, 470, 474, 474, 474, 474, 475,
    476, 476, 477, 477, 477, 477, 477, 477, 279, 279,
    279, 478, 478, 480, 480, 482, 483, 481, 481, 484,
    484, 484, 484, 485, 486, 486, 487, 487, 487, 265,
    265, 488, 490, 489, 489, 491, 491, 491, 491, 492,
    493, 493, 494, 479, 479, 495, 495, 498, 497, 497,
    496, 496, 499, 499, 499, 499, 500, 501, 501, 502,
    502, 502, 158, 503, 503, 159, 504, 504, 505, 505,
    506
};

const short Table_LGCInputLexerIO::rhs [] = {
    1, 2, 2, 3, 1, 1, 2, 1, 2, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 5, 6, 2, 1, 2, 1, 1, 1, 1,
    2, 3, 1, 1, 1, 2, 2, 1, 1, 2,
    2, 3, 3, 4, 2, 1, 1, 1, 1, 2,
    3, 1, 1, 2, 3, 4, 1, 1, 2, 1,
    2, 1, 1, 2, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    2, 3, 4, 1, 1, 1, 2, 1, 1, 1,
    1, 1, 1, 1, 4, 3, 1, 2, 3, 4,
    3, 1, 2, 2, 3, 1, 2, 2, 2, 2,
    5, 1, 2, 3, 1, 1, 1, 2, 2, 1,
    2, 3, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 2, 3, 1, 1, 2, 2, 2,
    2, 2, 1, 1, 1, 1, 2, 4, 1, 2,
    2, 5, 6, 2, 6, 1, 2, 2, 9, 2,
    5, 1, 2, 2, 7, 2, 7, 1, 2, 2,
    11, 2, 7, 2, 8, 2, 5, 2, 6, 4,
    3, 1, 2, 1, 1, 1, 3, 2, 3, 4,
    7, 1, 2, 2, 1, 1, 3, 1, 1, 1,
    1, 1, 1, 2, 3, 1, 2, 1, 1, 1,
    1, 1, 1, 3, 1, 1, 1, 1, 1, 1,
    1, 2, 2, 3, 5, 6, 4, 4, 1, 1,
    1, 1, 2, 1, 1, 1, 1, 1, 1, 1,
    1, 2, 2, 2, 2, 2, 2, 3, 2, 2,
    2, 1, 2, 2, 2, 2, 2, 2, 2, 1,
    1, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, 2, 2, 2, 2, 1, 2, 2,
    3, 3, 1, 2, 1, 1, 1, 2, 1, 1,
    1, 2, 2, 3, 1, 1, 2, 2, 3, 3,
    4, 5, 1, 2, 1, 1, 1, 1, 1, 1,
    1, 2, 2, 3, 1, 1, 2, 2, 3, 3,
    4, 4, 1, 2, 1, 1, 1, 1, 1, 1,
    1, 2, 2, 3, 3, 1, 2, 1, 1, 1,
    1, 1, 1, 2, 2, 3, 3, 4, 2, 1,
    2, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    2, 2, 3, 2, 1, 2, 2, 3, 3, 4,
    2, 1, 2, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 2, 2, 3, 3, 1, 2, 1,
    1, 1, 1, 2, 2, 3, 3, 4, 2, 1,
    2, 1, 1, 1, 1, 2, 3, 2, 3, 3,
    1, 2, 1, 1, 1, 1, 1, 1, 2, 3,
    1, 1, 2, 1, 1, 1, 2, 1, 1, 1,
    1, 1, 1, 1, 1, 2, 2, 3, 1, 1,
    2, 2, 3, 3, 4, 2, 1, 2, 1, 1,
    1, 1, 1, 2, 2, 3, 1, 1, 2, 2,
    3, 3, 4, 2, 1, 2, 1, 1, 1, 1,
    1, 1, 2, 2, 3, 1, 1, 2, 2, 3,
    3, 4, 2, 1, 2, 1, 1, 1, 1, 1,
    1, 1, 1, 2, 2, 4, 1, 2, 2, 3,
    3, 4, 2, 1, 2, 1, 1, 1, 1, 1,
    1, 2, 2, 3, 1, 2, 2, 3, 3, 4,
    2, 1, 2, 1, 1, 1, 1, 1, 1, 2,
    2, 3, 1, 1, 2, 2, 3, 3, 4, 4,
    1, 2, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 2, 2, 3, 1, 1, 2, 2, 3,
    3, 4, 2, 1, 2, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 2, 2, 2, 1, 2,
    2, 3, 3, 4, 2, 1, 2, 1, 1, 1,
    1, 1, 1, 2, 2, 3, 2, 1, 2, 2,
    3, 3, 4, 2, 1, 2, 1, 1, 1, 1,
    1, 1, 2, 2, 4, 1, 2, 2, 3, 3,
    4, 2, 1, 2, 1, 1, 1, 1, 1, 1,
    1, 2, 2, 2, 1, 2, 2, 3, 3, 4,
    2, 1, 2, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 2, 2, 3, 3, 1, 2, 2,
    3, 3, 4, 2, 1, 2, 1, 1, 1, 1,
    1, 1, 1, 1, 2, 2, 3, 1, 2, 1,
    1, 2, 6, 1, 2, 2, 3, 3, 4, 3,
    1, 2, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 2, 2, 3, 1, 1, 1, 2, 2,
    3, 3, 4, 3, 1, 2, 1, 1, 1, 1,
    2, 2, 1, 1, 2, 2, 3, 3, 4, 7,
    1, 2, 1, 1, 2, 2, 3, 1, 2, 1,
    1, 2, 2, 3, 3, 4, 2, 1, 2, 1,
    1, 1, 2, 1, 1, 2, 1, 3, 1, 2,
    2
};

const short Table_LGCInputLexerIO::action_default [] = {
    0, 0, 43, 0, 0, 771, 14, 49, 0, 13,
    56, 45, 57, 0, 48, 58, 59, 0, 44, 62,
    75, 76, 94, 77, 0, 50, 85, 0, 78, 107,
    112, 83, 84, 0, 0, 116, 122, 86, 0, 87,
    0, 0, 0, 79, 125, 88, 0, 80, 70, 73,
    72, 0, 51, 130, 81, 133, 89, 0, 0, 90,
    0, 67, 82, 63, 0, 5, 0, 60, 1, 2,
    0, 3, 4, 0, 52, 61, 71, 95, 0, 91,
    96, 0, 92, 101, 102, 103, 104, 98, 99, 100,
    97, 93, 0, 18, 0, 17, 106, 108, 109, 24,
    0, 0, 111, 113, 0, 0, 110, 0, 0, 105,
    114, 0, 0, 115, 117, 118, 119, 120, 0, 0,
    0, 121, 123, 127, 126, 0, 124, 74, 53, 54,
    128, 129, 131, 134, 135, 136, 139, 138, 142, 143,
    141, 137, 140, 0, 132, 64, 65, 68, 66, 69,
    55, 146, 0, 0, 144, 0, 0, 0, 0, 0,
    0, 0, 155, 0, 0, 154, 0, 145, 147, 0,
    0, 0, 0, 0, 0, 0, 153, 0, 0, 156,
    0, 0, 19, 0, 21, 158, 159, 0, 149, 0,
    161, 160, 0, 0, 0, 162, 163, 157, 0, 0,
    0, 0, 165, 166, 0, 150, 0, 168, 167, 0,
    0, 0, 0, 0, 0, 0, 169, 164, 0, 0,
    0, 187, 186, 0, 0, 0, 0, 0, 0, 185,
    184, 148, 0, 0, 0, 171, 172, 0, 151, 0,
    174, 173, 0, 0, 0, 0, 0, 175, 170, 0,
    0, 0, 0, 0, 177, 178, 0, 152, 0, 180,
    179, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    181, 176, 0, 0, 0, 0, 0, 183, 182, 0,
    0, 0, 0, 189, 188, 225, 0, 0, 0, 37,
    35, 0, 0, 716, 370, 0, 341, 0, 712, 0,
    0, 0, 0, 0, 0, 585, 0, 603, 0, 684,
    0, 663, 0, 622, 0, 205, 38, 0, 0, 40,
    288, 244, 369, 340, 709, 582, 583, 683, 662, 245,
    584, 249, 246, 251, 710, 391, 247, 711, 248, 392,
    250, 733, 0, 730, 0, 393, 0, 239, 226, 0,
    0, 39, 0, 750, 744, 0, 0, 0, 0, 227,
    228, 229, 230, 0, 292, 20, 295, 296, 293, 0,
    290, 0, 0, 294, 291, 260, 277, 764, 32, 0,
    765, 33, 0, 767, 769, 766, 768, 770, 763, 36,
    374, 0, 345, 375, 0, 371, 0, 384, 390, 385,
    386, 387, 388, 389, 6, 382, 0, 377, 0, 0,
    0, 0, 0, 0, 0, 11, 7, 8, 12, 10,
    9, 383, 379, 0, 380, 378, 0, 258, 0, 259,
    287, 23, 22, 278, 265, 275, 276, 376, 381, 0,
    372, 0, 373, 267, 353, 0, 342, 0, 368, 362,
    363, 364, 365, 366, 367, 360, 0, 355, 0, 0,
    361, 357, 0, 358, 356, 274, 354, 359, 348, 349,
    350, 351, 352, 346, 0, 343, 0, 262, 0, 347,
    344, 261, 263, 718, 0, 713, 0, 727, 729, 728,
    725, 0, 720, 0, 0, 726, 722, 0, 723, 721,
    257, 719, 0, 724, 0, 714, 717, 715, 588, 0,
    0, 625, 607, 0, 0, 0, 0, 693, 0, 667,
    589, 0, 586, 0, 602, 598, 599, 600, 601, 591,
    596, 0, 0, 0, 593, 597, 0, 594, 592, 273,
    590, 595, 587, 608, 0, 604, 0, 621, 617, 618,
    619, 620, 610, 615, 0, 0, 612, 616, 0, 613,
    611, 609, 614, 0, 605, 0, 606, 266, 694, 0,
    685, 0, 708, 703, 706, 704, 707, 705, 696, 701,
    0, 0, 0, 0, 0, 0, 0, 698, 702, 0,
    699, 697, 264, 279, 280, 282, 283, 695, 0, 700,
    691, 690, 686, 688, 0, 271, 0, 692, 0, 272,
    687, 689, 285, 668, 0, 664, 0, 682, 680, 679,
    677, 678, 681, 670, 675, 0, 0, 0, 672, 676,
    0, 673, 671, 284, 669, 674, 0, 665, 0, 666,
    286, 626, 0, 623, 0, 639, 635, 636, 637, 638,
    628, 633, 0, 0, 630, 634, 0, 631, 629, 627,
    632, 624, 208, 206, 194, 192, 0, 0, 196, 210,
    213, 212, 211, 195, 0, 0, 641, 0, 221, 223,
    640, 222, 209, 0, 193, 0, 190, 191, 0, 16,
    0, 231, 0, 207, 15, 0, 0, 237, 233, 0,
    0, 234, 0, 0, 235, 0, 236, 232, 644, 645,
    0, 642, 0, 657, 658, 661, 654, 655, 656, 659,
    660, 647, 0, 652, 0, 0, 0, 0, 0, 648,
    649, 0, 653, 650, 252, 253, 268, 269, 646, 651,
    643, 431, 214, 0, 445, 0, 482, 0, 216, 215,
    218, 219, 220, 449, 486, 566, 562, 0, 450, 0,
    446, 0, 457, 0, 462, 459, 460, 461, 452, 0,
    458, 454, 0, 455, 453, 451, 456, 0, 447, 448,
    487, 0, 483, 0, 502, 496, 497, 498, 499, 500,
    501, 494, 0, 489, 0, 495, 491, 0, 492, 490,
    488, 493, 0, 484, 485, 217, 0, 567, 0, 563,
    573, 581, 576, 577, 578, 579, 580, 569, 0, 574,
    0, 570, 571, 0, 575, 572, 568, 0, 564, 565,
    434, 435, 429, 0, 432, 0, 254, 430, 433, 0,
    0, 198, 0, 202, 199, 28, 29, 30, 31, 25,
    26, 27, 203, 0, 200, 204, 0, 0, 0, 0,
    0, 201, 197, 305, 325, 297, 289, 299, 300, 301,
    0, 321, 0, 298, 0, 306, 0, 302, 0, 0,
    0, 312, 315, 320, 316, 317, 318, 319, 308, 0,
    0, 313, 0, 309, 281, 310, 0, 314, 311, 307,
    0, 303, 304, 0, 326, 0, 322, 0, 0, 332,
    339, 335, 336, 337, 338, 328, 0, 333, 0, 329,
    330, 0, 334, 331, 327, 0, 323, 324, 0, 397,
    734, 0, 731, 0, 743, 736, 0, 741, 0, 737,
    738, 0, 742, 739, 735, 0, 0, 0, 0, 0,
    740, 732, 403, 0, 394, 0, 415, 412, 413, 414,
    405, 0, 410, 0, 406, 407, 0, 411, 408, 404,
    409, 400, 401, 402, 395, 0, 398, 0, 256, 396,
    399, 34, 0, 241, 0, 242, 240, 238, 243, 0,
    224, 749, 0, 751, 0, 745, 757, 761, 762, 760,
    753, 0, 758, 0, 754, 755, 0, 759, 756, 752,
    748, 746, 0, 747, 0, 420, 416, 463, 0, 503,
    0, 521, 0, 438, 439, 440, 441, 442, 443, 444,
    539, 0, 467, 0, 0, 543, 436, 417, 468, 0,
    464, 0, 481, 477, 478, 479, 480, 475, 0, 470,
    0, 476, 472, 0, 473, 471, 469, 474, 0, 465,
    466, 507, 0, 504, 0, 520, 516, 517, 518, 519,
    509, 514, 0, 0, 511, 515, 0, 512, 510, 508,
    513, 505, 525, 0, 522, 0, 538, 534, 535, 536,
    537, 527, 532, 0, 0, 529, 533, 0, 530, 528,
    526, 531, 523, 0, 544, 0, 540, 0, 0, 550,
    553, 554, 561, 555, 556, 557, 558, 559, 560, 546,
    0, 0, 551, 0, 547, 255, 548, 0, 552, 549,
    545, 0, 541, 542, 0, 0, 506, 0, 524, 437,
    423, 425, 424, 426, 427, 428, 418, 270, 421, 0,
    419, 422, 42, 47, 46, 41
};

const short Table_LGCInputLexerIO::goto_default [] = {
    1, 1155, 66, 408, 416, 417, 418, 690, 94, 181,
    390, 189, 430, 101, 843, 3, 13, 153, 288, 378,
    381, 349, 290, 289, 316, 351, 319, 4, 17, 14,
    7, 25, 52, 8, 24, 63, 64, 148, 48, 50,
    49, 51, 31, 32, 26, 37, 39, 45, 56, 59,
    27, 78, 81, 80, 34, 92, 33, 100, 38, 111,
    40, 41, 42, 46, 125, 124, 57, 58, 60, 143,
    152, 167, 168, 156, 188, 159, 205, 170, 238, 173,
    257, 176, 165, 162, 179, 157, 186, 187, 160, 203,
    204, 171, 236, 237, 174, 255, 256, 177, 166, 163,
    180, 317, 666, 667, 665, 673, 668, 318, 840, 841,
    844, 854, 674, 693, 669, 672, 671, 670, 357, 1016,
    749, 748, 750, 751, 752, 321, 334, 679, 352, 691,
    692, 350, 984, 985, 329, 332, 336, 338, 331, 340,
    333, 713, 714, 830, 1110, 971, 487, 397, 882, 366,
    469, 470, 471, 573, 400, 563, 439, 719, 720, 1144,
    600, 607, 528, 451, 401, 402, 367, 399, 574, 575,
    887, 576, 577, 622, 601, 636, 398, 320, 866, 287,
    369, 368, 865, 867, 868, 869, 877, 870, 875, 876,
    892, 891, 871, 906, 872, 904, 905, 918, 917, 323,
    296, 446, 297, 474, 473, 444, 445, 456, 455, 322,
    294, 395, 295, 393, 394, 406, 405, 335, 339, 345,
    954, 346, 977, 976, 952, 953, 963, 962, 1037, 358,
    1149, 1148, 743, 835, 834, 1036, 1024, 1026, 1027, 1028,
    744, 760, 745, 758, 759, 763, 762, 1017, 1040, 1018,
    1038, 1039, 1048, 1047, 746, 782, 747, 780, 781, 792,
    791, 1019, 1063, 1020, 1061, 1062, 1072, 1071, 1021, 1084,
    1022, 1082, 1083, 1093, 1092, 1030, 1106, 1031, 1104, 1105,
    1123, 1122, 756, 809, 757, 807, 808, 820, 819, 325,
    326, 330, 305, 522, 306, 520, 521, 531, 530, 307,
    545, 308, 543, 544, 554, 553, 313, 643, 314, 641,
    642, 652, 651, 680, 676, 711, 677, 709, 710, 724,
    723, 328, 311, 615, 312, 613, 614, 625, 624, 327,
    309, 570, 310, 604, 603, 568, 569, 580, 579, 324,
    337, 298, 485, 299, 504, 483, 484, 491, 490, 343,
    932, 344, 930, 931, 938, 937, 354, 995, 355, 1012,
    993, 994, 1003, 1002, 379, 382, 383, 0
};

const short Table_LGCInputLexerIO::action_index [] = {
    -3, 0, -139, 1104, 130, -139, -139, 1819, 132, -139,
    -139, -139, -139, -56, -139, -139, -139, 899, -139, -139,
    -139, -139, -139, -139, 271, 1991, -139, 800, -139, -139,
    -139, 133, -2, 271, 271, -139, -139, -139, 843, -139,
    271, 271, 106, -139, -139, -139, 825, -139, -139, -139,
    -139, 271, 1844, -139, -139, -139, -139, 271, -1, -139,
    1762, -139, -139, -139, 134, -139, 3, 143, -139, -139,
    4, -139, -139, 271, 1741, 151, -139, -139, 1488, 156,
    1081, 271, 174, -139, -139, -139, -139, -139, -139, -139,
    -139, 176, 271, -139, 181, -139, 185, 6, -139, -139,
    271, 7, 187, -139, 833, 271, 189, 838, 271, 191,
    195, 271, 208, 213, -139, 215, 217, -139, 1, 10,
    11, -139, 219, -139, -139, 271, 223, 230, 1794, 1876,
    232, -139, 234, -139, -139, -139, -139, -139, -139, -139,
    -139, -139, -139, 271, 236, 14, 235, -139, 237, -139,
    244, -139, 271, 2087, 1515, 18, 19, 271, 21, 22,
    271, 23, -139, 271, 24, -139, 271, 1187, -139, 25,
    26, 271, 27, 28, 271, 29, -139, 271, 30, -139,
    271, 31, -139, 265, -139, -139, -139, 271, 32, 270,
    408, -139, 270, 270, 270, 270, -139, 408, 33, 276,
    278, 282, -139, -139, 289, 35, 291, 408, -139, 293,
    295, 297, 299, 301, 305, 309, -139, 408, 313, 315,
    319, -139, 408, 321, 329, 331, 333, 335, 337, -139,
    408, -139, 38, 339, 341, -139, -139, 346, 39, 345,
    408, -139, 347, 359, 361, 363, 365, -139, 408, 40,
    369, 375, 379, 389, -139, -139, 394, 41, 393, 408,
    -139, 395, 397, 399, 407, 407, 411, 413, 419, 427,
    -139, 545, 429, 431, 433, 435, 439, -139, 545, 443,
    447, 449, 451, -139, 545, -139, 461, 890, 458, -139,
    1888, 52, 467, -139, 479, 794, 481, 1088, 487, 862,
    50, 489, 55, 45, 46, 491, 495, 498, 815, 503,
    854, 505, 796, 507, 511, -139, -139, 1110, 44, -139,
    437, -139, -139, -139, -139, -139, -139, -139, -139, -139,
    -139, -139, -139, -139, -139, -139, -139, -139, -139, -139,
    -139, -139, 513, 517, 521, 522, 905, -139, -139, 1968,
    526, -139, 532, 531, 536, 808, 540, -80, 1257, -139,
    -139, -139, -139, 5, -139, -139, -139, -139, -139, 852,
    545, 544, 8, -139, 549, -139, -139, -139, 9, 551,
    -139, -139, 557, 12, -139, 830, 13, -139, 565, -139,
    -139, 16, -139, -139, 1439, 680, 566, -139, -139, -139,
    -139, -139, -139, -139, 855, -139, 1490, 577, 579, 582,
    817, 584, 586, 588, 590, -139, -139, 876, -139, -139,
    -139, -139, 595, 597, 599, 605, -70, -139, 604, -139,
    -139, -139, -139, -139, -139, -139, -139, -139, -139, 609,
    613, 680, 615, -139, -139, 1435, 680, 614, -139, -139,
    -139, -139, -139, -139, -139, -139, 1469, 619, 625, 632,
    -139, 637, 645, 649, 651, -139, -139, -139, -139, -139,
    -139, -139, -139, -139, 946, 653, 652, -139, 654, -139,
    661, -139, -139, -139, 942, 680, 680, -139, -139, -139,
    -139, 920, 673, 677, 814, -139, 684, 686, 688, 690,
    -139, -139, 814, -139, 698, 706, -139, 708, -139, 711,
    34, -139, -139, 814, 814, 715, 717, -139, 814, -139,
    -139, 1162, 719, 814, -139, -139, -139, -139, -139, 723,
    -139, 1153, 725, 42, 727, -139, 733, 737, 743, -139,
    -139, -139, 747, -139, 1215, 754, 814, -139, -139, -139,
    -139, -139, 758, -139, 1022, 760, 762, -139, 764, 766,
    768, -139, -139, 770, 772, 773, 779, -139, -139, 1420,
    780, 814, -139, -139, -139, -139, -139, -139, 788, -139,
    1396, 790, 37, 57, 59, 61, 63, 68, -139, 70,
    72, 74, -139, -139, -139, -139, -139, -139, 73, -139,
    -108, -139, 78, -139, 848, -139, 20, -139, 77, -139,
    82, -139, -139, -139, 1349, 83, 84, -139, -139, -139,
    -139, -139, -139, 89, -139, 1301, 91, 90, 95, -139,
    97, 99, 101, -139, -139, -139, 103, 105, 17, 107,
    -139, -139, 1038, 108, 109, -139, -139, -139, -139, -139,
    114, -139, 1232, 116, 118, -139, 120, 122, 124, -139,
    -139, 126, -139, -139, -139, -139, 1076, 128, -139, -139,
    -139, -139, -139, -139, 271, 53, 136, 271, -139, -139,
    -139, -139, -139, -28, -139, 271, 145, 147, 867, -139,
    146, -139, 912, 152, -139, 155, 157, -139, 162, 271,
    161, 166, 165, 836, 170, 271, 172, -139, -139, -139,
    1542, 177, 178, -139, -139, -139, -139, -139, -139, -139,
    -139, 193, 271, -139, 1520, 194, 196, 198, 200, 205,
    207, 271, -139, 209, -139, -139, -139, -139, -139, -139,
    221, -139, 722, 883, 224, 811, 226, 951, -139, 740,
    -139, -139, -139, -139, -139, -139, 240, 951, -139, 964,
    245, 246, -139, 987, -139, -139, -139, -139, 251, 271,
    -139, 253, 271, 255, 257, -139, -139, 271, 259, 261,
    -139, 1625, 262, 263, -139, -139, -139, -139, -139, -139,
    -139, -139, 1625, 408, 275, -139, 408, 277, 408, 408,
    -139, -139, 283, 408, 408, -139, 284, -139, 1387, 290,
    -139, -139, -139, -139, -139, -139, -139, 408, 306, -139,
    1292, 408, 408, 310, -139, 408, -139, 314, 408, 408,
    -139, -139, 408, 317, -139, 872, -139, 408, -139, 323,
    328, 1067, 327, 1214, -17, -139, -139, -139, -139, -139,
    -139, -139, -139, 47, -139, -139, 349, 351, 353, 355,
    357, -139, 408, -139, -139, -139, 294, -139, -139, 372,
    798, 374, 802, -139, 377, -139, 1424, 382, 383, 385,
    387, -139, -139, -139, -139, -139, -139, -139, 408, 404,
    403, -139, 1334, 545, -139, 545, 412, -139, 545, -139,
    418, 545, 545, 417, -139, 1195, 422, 423, 425, -139,
    -139, -139, -139, -139, -139, 545, 440, -139, 1272, 545,
    545, 444, -139, 545, -139, 448, 545, 545, 49, -139,
    -139, 892, 454, 455, -139, 545, 460, -139, 850, 545,
    545, 465, -139, 545, -139, 468, 470, 472, 474, 476,
    -139, 545, -139, 1012, 483, 484, -139, -139, -139, -139,
    545, 497, -139, 944, 545, 545, 502, -139, 545, -139,
    -139, -139, -139, -139, 545, 514, -139, 895, -139, 545,
    -139, 1853, 874, -139, 528, 527, -139, 545, -139, 885,
    534, -139, 537, -139, 908, 680, -139, -139, -139, -139,
    553, 555, -139, 934, 559, 561, 563, -139, 567, -139,
    -139, 571, 573, 575, 56, -139, 871, 680, 813, 680,
    581, 680, 583, -139, -139, -139, -139, -139, -139, -139,
    680, 951, -139, 598, 600, -139, -139, 1017, -139, 1351,
    680, 608, -139, -139, -139, -139, -139, -139, 1259, 621,
    623, -139, 627, 629, 631, 633, -139, -139, 639, 641,
    643, -139, 1142, 680, 644, -139, -139, -139, -139, -139,
    659, -139, 1182, 663, 665, -139, 667, 669, 671, -139,
    -139, 675, -139, 1186, 680, 676, -139, -139, -139, -139,
    -139, 692, -139, 1211, 694, 696, -139, 700, 702, 704,
    -139, -139, 710, 814, -139, 1579, 713, 814, 814, -139,
    -139, -139, -139, -139, -139, -139, -139, -139, -139, 729,
    731, 814, -139, 1602, 735, -139, 739, 741, -139, 745,
    -139, 749, 751, 753, 814, 54, -139, 43, -139, -139,
    -139, -139, -139, -139, -139, -139, 777, -139, -139, 1253,
    784, -139, 786, -139, -139, 792,

    -368, -368, -368, 58, -368, -368, -368, -368, 60, -368,
    -368, -368, -368, -368, -368, -368, -368, 575, -368, -368,
    -368, -368, -368, -368, 64, 511, -368, 68, -368, -368,
    -368, -368, -368, 73, 74, -368, -368, -368, 528, -368,
    77, 78, -368, -368, -368, -368, 79, -368, -368, -368,
    -368, 80, 540, -368, -368, -368, -368, 82, -368, -368,
    83, -368, -368, -368, -368, -368, -368, 84, -368, -368,
    -368, -368, -368, 86, -22, 87, -368, -368, 91, 92,
    -29, 94, 95, -368, -368, -368, -368, -368, -368, -368,
    -368, 96, 103, -368, 59, -368, 104, 63, -368, -368,
    119, 72, 120, -368, 554, 122, 123, 562, 125, 126,
    127, 129, 115, 130, -368, 134, 140, -368, -368, -368,
    -368, -368, 142, -368, -368, 144, 145, 146, 541, 50,
    147, -368, 149, -368, -368, -368, -368, -368, -368, -368,
    -368, -368, -368, 151, 361, -368, 150, -368, 152, -368,
    153, -368, 156, -368, 157, -368, -368, 159, 34, 124,
    161, 62, -368, 162, 158, -368, 163, -19, -368, 160,
    143, 178, 173, 154, 179, 177, -368, 180, 181, -368,
    182, 165, -368, 185, -368, -368, -368, 195, -24, 199,
    201, -368, 202, 203, 204, 205, -368, 210, 190, 207,
    209, 213, -368, -368, 220, 546, 224, 225, -368, 228,
    229, 231, 233, 236, 237, 238, -368, 239, 240, 241,
    242, -368, 243, 244, 245, 246, 247, 253, 255, -368,
    260, -368, 254, 257, 261, -368, -368, 265, 537, 263,
    269, -368, 268, 270, 271, 272, 273, -368, 278, 275,
    282, 284, 285, 294, -368, -368, 297, 559, 298, 301,
    -368, 299, 300, 302, 304, 311, 314, 318, 319, 321,
    -368, 327, 330, 333, 339, 341, 343, -368, 348, 345,
    346, 349, 352, -368, 358, -368, 289, 360, -368, -368,
    208, -368, 306, -368, 325, 366, 363, 586, 365, 525,
    216, 369, 219, 372, 374, 375, 377, 379, 388, 382,
    391, 385, 401, 397, 402, -368, -368, 572, 280, -368,
    -368, -368, -368, -368, -368, -368, -368, -368, -368, -368,
    -368, -368, -368, -368, -368, -368, -368, -368, -368, -368,
    -368, -368, 400, 403, 405, 406, 585, -368, -368, 277,
    408, -368, 415, 412, 413, 543, 414, -368, 677, -368,
    -368, -368, -368, 410, -368, -368, -368, -368, -368, 535,
    417, 418, 324, -368, 430, -368, -368, -368, -368, 432,
    -368, -368, 437, -368, -368, 526, -368, -368, 438, -368,
    -368, 419, -368, -368, 560, 552, 436, -368, -368, -368,
    -368, -368, -368, -368, -368, -368, 607, 439, 442, 440,
    444, 449, 453, 455, 457, -368, -368, 184, -368, -368,
    -368, -368, 458, 463, 464, 466, 36, -368, 459, -368,
    -368, -368, -368, -368, -368, -368, -368, -368, -368, 475,
    477, 431, 479, -368, -368, 893, 574, 480, -368, -368,
    -368, -368, -368, -368, -368, -368, 971, 481, 484, 482,
    -368, 485, 488, 489, 490, -368, -368, -368, -368, -368,
    -368, -368, -368, -368, 606, 494, 496, -368, 498, -368,
    503, -368, -368, -368, 602, 524, 462, -368, -368, -368,
    -368, 615, 507, 509, 508, -368, 510, 512, 513, 515,
    -368, -368, 514, -368, 518, 519, -368, 521, -368, 487,
    517, -368, -368, -6, 356, -7, -5, -368, -4, -368,
    -368, 658, 557, -2, -368, -368, -368, -368, -368, 3,
    -368, 682, 5, -3, 6, -368, 8, 9, 10, -368,
    -368, -368, 11, -368, 708, 533, 4, -368, -368, -368,
    -368, -368, 12, -368, 914, 14, 15, -368, 17, 18,
    19, -368, -368, 21, 22, 20, 23, -368, -368, 588,
    566, 13, -368, -368, -368, -368, -368, -368, 24, -368,
    611, 26, 25, 27, 28, 30, 31, 29, -368, 37,
    38, 39, -368, -368, -368, -368, -368, -368, 33, -368,
    -368, -368, 40, -368, 532, -368, -368, -368, 41, -368,
    42, -368, -368, -368, 756, 531, 43, -368, -368, -368,
    -368, -368, -368, 44, -368, 850, 47, 45, 48, -368,
    51, 52, 53, -368, -368, -368, 55, 56, -368, 57,
    -368, -368, 728, 539, 54, -368, -368, -368, -368, -368,
    61, -368, 899, 65, 66, -368, 69, 70, 71, -368,
    -368, 75, -368, -368, -368, -368, 589, 81, -368, -368,
    -368, -368, -368, -368, 89, 35, 49, 90, -368, -368,
    -368, -368, -368, -90, -368, 98, 99, 100, 101, -368,
    102, -368, 594, -99, -368, 105, 106, -368, 107, 109,
    108, 111, 110, 548, 113, 116, 117, -368, -368, -368,
    623, 538, 112, -368, -368, -368, -368, -368, -368, -368,
    -368, 131, 133, -368, 757, 118, 121, 132, 135, 137,
    138, 136, -368, 141, -368, -368, -368, -368, -368, -368,
    148, -368, -368, 567, 85, 576, 88, 529, -368, -89,
    -368, -368, -368, -368, -368, -368, 97, 536, -368, 622,
    527, 155, -368, 674, -368, -368, -368, -368, 164, 167,
    -368, 168, 170, 171, 172, -368, -368, 174, 175, 176,
    -368, 954, 564, 166, -368, -368, -368, -368, -368, -368,
    -368, -368, 1005, 183, 186, -368, 187, 191, 192, 193,
    -368, -368, 196, 197, 198, -368, 200, -368, 870, 534,
    -368, -368, -368, -368, -368, -368, -368, 212, 206, -368,
    947, 214, 215, 217, -368, 218, -368, 221, 222, 223,
    -368, -368, 226, 227, -368, 583, -368, 230, -368, 232,
    235, -368, 234, -10, -368, -368, -368, -368, -368, -368,
    -368, -368, -368, -368, -368, -368, 248, 249, 250, 251,
    252, -368, 258, -368, -368, -368, -75, -368, -368, 194,
    578, 256, 582, -368, 262, -368, 642, 544, 264, 266,
    267, -368, -368, -368, -368, -368, -368, -368, 279, 274,
    276, -368, 753, 281, -368, 283, 286, -368, 287, -368,
    291, 292, 293, 290, -368, 717, 545, 295, 296, -368,
    -368, -368, -368, -368, -368, 305, 308, -368, 799, 309,
    310, 312, -368, 313, -368, 315, 316, 317, 188, -368,
    -368, 587, 555, 320, -368, 326, 322, -368, 598, 328,
    329, 331, -368, 332, -368, 334, 335, 336, 337, 338,
    -368, 344, -368, 630, 547, 342, -368, -368, -368, -368,
    351, 353, -368, 780, 354, 355, 723, -368, 357, -368,
    -368, -368, -368, -368, 362, 359, -368, 601, -368, 364,
    -368, 347, 367, -368, 371, 368, -368, 373, -368, 556,
    2, -368, 370, -368, 619, 558, -368, -368, -368, -368,
    378, 380, -368, 637, 383, 384, 387, -368, 389, -368,
    -368, 392, 394, 395, 386, -368, 470, 390, 553, 393,
    398, 396, 399, -368, -368, -368, -368, -368, -368, -368,
    404, 579, -368, 407, 409, -368, -368, 549, -368, 722,
    542, 411, -368, -368, -368, -368, -368, -368, 933, 421,
    424, -368, 425, 427, 428, 429, -368, -368, 433, 434,
    435, -368, 1090, 530, 420, -368, -368, -368, -368, -368,
    443, -368, 862, 446, 447, -368, 450, 451, 452, -368,
    -368, 454, -368, 705, 551, 456, -368, -368, -368, -368,
    -368, 465, -368, 829, 468, 469, -368, 471, 472, 473,
    -368, -368, 476, 467, -368, 978, 561, 474, 478, -368,
    -368, -368, -368, -368, -368, -368, -368, -368, -368, 491,
    493, 492, -368, 1019, 495, -368, 497, 499, -368, 501,
    -368, 500, 504, 505, 502, 448, -368, 506, -368, -368,
    -368, -368, -368, -368, -368, -368, 516, -368, -368, 695,
    520, -368, 522, -368, -368, 523
};

const short Table_LGCInputLexerIO::action_info [] = {
    5, 151, 99, 741, 131, 69, 72, 2, 119, 365,
    99, 99, 184, 384, 120, 608, 387, 387, 121, 146,
    365, 640, 182, 184, 612, 182, 184, 182, 182, 182,
    184, 182, 184, 182, 182, 184, 184, 184, 365, 184,
    428, 365, 184, 184, 184, 184, 365, 365, 99, 365,
    365, 855, 853, 365, 365, 741, 365, 365, 365, 365,
    365, 0, 9, 6, 9, 6, 9, 6, 9, 6,
    71, 65, 68, 65, 71, 65, 71, 65, 9, 6,
    71, 65, 9, 6, 71, 65, 0, 95, 93, 9,
    6, 71, 65, 68, 65, 9, 6, 71, 65, 68,
    65, 71, 65, 71, 65, 68, 65, 71, 65, 71,
    65, 0, 95, 93, 9, 6, 71, 65, 68, 65,
    71, 65, 68, 65, 71, 65, 71, 65, 71, 65,
    68, 65, 68, 65, 68, 65, 0, 95, 93, 145,
    95, 93, 0, 118, 117, 71, 65, 71, 65, 71,
    65, 9, 6, 71, 65, 0, 694, 689, 71, 65,
    9, 6, 9, 6, 71, 65, 9, 6, 71, 65,
    9, 6, 71, 65, 71, 65, 71, 65, 71, 65,
    0, 95, 93, 9, 6, 95, 93, 71, 65, 71,
    65, 71, 65, 71, 65, 71, 65, 71, 65, 9,
    6, 9, 6, 9, 6, 9, 6, 71, 65, 71,
    65, 71, 65, 9, 6, 71, 65, 71, 65, 71,
    65, 71, 65, 71, 65, 71, 65, 0, 95, 93,
    95, 93, 71, 65, 71, 65, 71, 65, 71, 65,
    9, 6, 9, 6, 95, 93, 71, 65, 0, 95,
    93, 9, 6, 71, 65, 71, 65, 71, 65, 71,
    65, 71, 65, 71, 65, 0, 95, 93, 9, 6,
    9, 6, 0, 68, 65, 9, 6, 68, 65, 68,
    65, 9, 6, 9, 6, 68, 65, 9, 6, 9,
    6, 68, 65, 0, 95, 93, 9, 6, 9, 6,
    9, 6, 9, 6, 9, 6, 9, 6, 68, 65,
    9, 6, 68, 65, 9, 6, 68, 65, 9, 6,
    9, 6, 9, 6, 9, 6, 9, 6, 9, 6,
    68, 65, 9, 6, 9, 6, 9, 6, 9, 6,
    9, 6, 9, 6, 9, 6, 9, 6, 68, 65,
    9, 6, 9, 6, 9, 6, 9, 6, 9, 6,
    9, 6, 9, 6, 9, 6, 9, 6, 9, 6,
    9, 6, 863, 864, 9, 6, 95, 93, 95, 93,
    9, 6, 9, 6, 9, 6, 95, 93, 9, 6,
    9, 6, 9, 6, 9, 6, 68, 65, 9, 6,
    9, 6, 9, 6, 9, 6, 68, 65, 9, 6,
    71, 65, 9, 6, 68, 65, 9, 6, 9, 6,
    68, 65, 9, 6, 9, 6, 95, 93, 9, 6,
    9, 6, 9, 6, 9, 6, 9, 6, 9, 6,
    9, 6, 68, 65, 9, 6, 68, 65, 9, 6,
    68, 65, 9, 6, 9, 6, 9, 6, 95, 93,
    9, 6, 68, 65, 0, 95, 93, 68, 65, 377,
    380, 95, 93, 9, 6, 9, 6, 9, 6, 9,
    6, 9, 6, 95, 93, 95, 93, 95, 93, 9,
    6, 95, 93, 95, 93, 95, 93, 68, 65, 68,
    65, 0, 95, 93, 68, 65, 0, 95, 93, 95,
    93, 95, 93, 68, 65, 863, 864, 95, 93, 9,
    6, 95, 93, 68, 65, 0, 95, 93, 68, 65,
    68, 65, 9, 6, 68, 65, 9, 6, 694, 689,
    95, 93, 9, 6, 95, 93, 0, 71, 65, 9,
    6, 71, 65, 68, 65, 71, 65, 68, 65, 68,
    65, 71, 65, 71, 65, 68, 65, 71, 65, 71,
    65, 9, 6, 71, 65, 68, 65, 71, 65, 71,
    65, 68, 65, 68, 65, 68, 65, 9, 6, 9,
    6, 9, 6, 9, 6, 9, 6, 71, 65, 68,
    65, 71, 65, 9, 6, 9, 6, 71, 65, 9,
    6, 68, 65, 9, 6, 71, 65, 71, 65, 9,
    6, 71, 65, 71, 65, 68, 65, 68, 65, 71,
    65, 68, 65, 71, 65, 71, 65, 9, 6, 71,
    65, 68, 65, 71, 65, 71, 65, 68, 65, 9,
    6, 71, 65, 71, 65, 71, 65, 9, 6, 9,
    6, 71, 65, 71, 65, 68, 65, 71, 65, 68,
    65, 71, 65, 71, 65, 71, 65, 71, 65, 68,
    65, 9, 6, 0, 95, 93, 71, 65, 68, 65,
    71, 65, 71, 65, 71, 65, 68, 65, 71, 65,
    68, 65, 68, 65, 71, 65, 71, 65, 71, 65,
    71, 65, 71, 65, 0, 95, 93, 95, 93, 95,
    93, 95, 93, 95, 93, 71, 65, 68, 65, 71,
    65, 71, 65, 68, 65, 68, 65, 71, 65, 71,
    65, 71, 65, 68, 65, 71, 65, 71, 65, 71,
    65, 68, 65, 71, 65, 71, 65, 0, 95, 93,
    71, 65, 68, 65, 71, 65, 68, 65, 71, 65,
    71, 65, 68, 65, 71, 65, 0, 95, 93, 71,
    65, 71, 65, 0, 95, 93, 71, 65, 71, 65,
    71, 65, 68, 65, 71, 65, 68, 65, 68, 65,
    68, 65, 68, 65, 68, 65, 753, 0, 754, 0,
    68, 65, 755, 68, 65, 68, 65, 68, 65, 9,
    6, 432, 9, 6, 753, 0, 754, 68, 65, 0,
    755, 77, 71, 65, 384, 71, 65, 99, 68, 65,
    71, 65, 95, 93, 404, 68, 65, 0, 9, 6,
    68, 65, 68, 65, 68, 65, 68, 65, 404, 419,
    9, 6, 0, 415, 68, 65, 123, 9, 6, 71,
    65, 694, 689, 0, 68, 65, 71, 65, 986, 983,
    419, 9, 6, 0, 415, 68, 65, 71, 65, 694,
    689, 0, 68, 65, 68, 65, 0, 68, 65, 0,
    404, 68, 65, 1154, 9, 6, 0, 68, 65, 0,
    68, 65, 441, 833, 68, 65, 404, 9, 6, 0,
    404, 0, 68, 65, 0, 0, 372, 638, 404, 0,
    372, 0, 565, 0, 0, 0, 68, 65, 0, 372,
    0, 372, 404, 0, 68, 65, 68, 65, 68, 65,
    404, 410, 404, 68, 65, 753, 1032, 754, 1033, 1034,
    1035, 755, 0, 371, 0, 0, 68, 65, 0, 0,
    605, 0, 404, 0, 0, 0, 605, 833, 606, 0,
    372, 0, 0, 0, 606, 0, 0, 0, 833, 68,
    65, 0, 0, 410, 0, 404, 0, 0, 0, 0,
    372, 371, 975, 0, 0, 0, 371, 0, 0, 410,
    0, 372, 975, 833, 68, 65, 371, 0, 372, 0,
    404, 410, 0, 372, 68, 65, 0, 0, 494, 0,
    404, 0, 0, 372, 0, 410, 0, 411, 0, 833,
    68, 65, 0, 410, 0, 410, 404, 0, 0, 411,
    494, 0, 0, 0, 0, 0, 0, 371, 476, 477,
    478, 0, 0, 411, 0, 410, 0, 0, 0, 459,
    0, 411, 372, 411, 372, 0, 0, 0, 0, 372,
    849, 850, 851, 845, 846, 847, 848, 0, 410, 459,
    68, 65, 372, 411, 87, 88, 89, 83, 84, 85,
    86, 753, 1032, 754, 1033, 1034, 1035, 755, 18, 9,
    6, 0, 459, 410, 0, 372, 411, 0, 0, 0,
    0, 0, 0, 410, 10, 12, 15, 16, 0, 0,
    0, 0, 0, 371, 0, 0, 0, 459, 412, 410,
    372, 411, 315, 663, 68, 65, 533, 662, 682, 371,
    404, 411, 0, 286, 412, 68, 65, 0, 356, 0,
    0, 404, 533, 0, 68, 65, 0, 411, 0, 0,
    404, 675, 0, 0, 0, 341, 315, 663, 0, 0,
    0, 662, 682, 0, 68, 65, 0, 286, 68, 65,
    404, 0, 356, 0, 404, 0, 0, 68, 65, 371,
    476, 477, 478, 404, 0, 675, 0, 0, 0, 341,
    0, 0, 0, 68, 65, 0, 372, 68, 65, 404,
    0, 0, 0, 404, 0, 0, 0, 849, 850, 851,
    845, 846, 847, 848, 68, 65, 0, 0, 0, 0,
    404, 0, 0, 410, 0, 155, 158, 169, 172, 175,
    164, 161, 178, 371, 410, 68, 65, 0, 412, 68,
    65, 68, 65, 410, 371, 0, 533, 404, 0, 412,
    0, 411, 0, 371, 68, 65, 0, 533, 412, 0,
    404, 0, 411, 410, 0, 0, 533, 410, 0, 0,
    0, 411, 0, 371, 68, 65, 410, 371, 412, 0,
    404, 0, 412, 68, 65, 0, 533, 0, 0, 404,
    533, 411, 410, 0, 0, 411, 410, 0, 0, 0,
    459, 0, 371, 372, 0, 0, 371, 412, 0, 584,
    890, 412, 0, 410, 0, 533, 68, 65, 0, 533,
    411, 0, 404, 371, 411, 0, 0, 0, 412, 0,
    0, 68, 65, 68, 65, 0, 533, 404, 0, 404,
    410, 411, 0, 0, 371, 476, 477, 478, 371, 476,
    477, 478, 0, 410, 1147, 412, 0, 0, 1147, 0,
    0, 372, 0, 0, 459, 372, 0, 372, 411, 68,
    65, 0, 0, 410, 0, 404, 0, 459, 68, 65,
    372, 0, 410, 0, 404, 0, 584, 890, 0, 0,
    0, 0, 371, 0, 0, 478, 582, 459, 413, 414,
    372, 411, 68, 65, 0, 0, 68, 65, 404, 0,
    411, 0, 404, 627, 0, 410, 0, 68, 65, 0,
    0, 68, 65, 404, 428, 0, 0, 404, 0, 0,
    410, 0, 410, 0, 0, 0, 0, 0, 0, 459,
    371, 0, 372, 478, 582, 0, 0, 412, 584, 890,
    0, 68, 65, 0, 0, 0, 459, 404, 411, 372,
    411, 627, 0, 0, 0, 0, 0, 0, 410, 0,
    68, 65, 68, 65, 0, 0, 0, 410, 404, 0,
    0, 87, 88, 89, 83, 84, 85, 86, 0, 0,
    0, 582, 459, 413, 414, 372, 411, 71, 65, 0,
    0, 410, 68, 65, 0, 410, 0, 0, 404, 583,
    584, 0, 585, 586, 428, 582, 410, 0, 0, 0,
    410, 0, 0, 0, 68, 65, 0, 0, 409, 459,
    404, 412, 372, 583, 584, 412, 585, 586, 584, 890,
    459, 413, 414, 372, 411, 413, 414, 372, 411, 0,
    410, 0, 0, 155, 158, 169, 172, 175, 164, 161,
    178, 68, 65, 0, 0, 412, 0, 404, 0, 0,
    0, 410, 0, 0, 459, 413, 414, 372, 411, 409,
    0, 0, 0, 0, 68, 65, 412, 0, 0, 0,
    404, 0, 0, 0, 0, 0, 413, 414, 372, 411,
    0, 410, 0, 725, 726, 0, 0, 68, 65, 0,
    0, 0, 0, 404, 0, 582, 412, 0, 0, 727,
    728, 0, 0, 410, 0, 725, 726, 0, 0, 411,
    0, 0, 0, 0, 0, 0, 0, 582, 412, 0,
    0, 727, 728, 0, 0, 0, 0, 0, 0, 0,
    0, 411, 0, 0, 0, 0, 0, 0, 0, 0,
    410, 0, 0, 0, 0, 1121, 0, 0, 0, 428,
    0, 0, 0, 0, 0, 412, 0, 0, 0, 0,
    0, 0, 0, 410, 459, 413, 414, 372, 1121, 0,
    0, 0, 428, 0, 0, 0, 586, 0, 412, 0,
    0, 0, 0, 0, 0, 0, 410, 459, 413, 414,
    372, 0, 0, 0, 0, 0, 0, 0, 0, 586,
    0, 412, 0, 0, 0, 0, 0, 0, 0, 0,
    459, 413, 414, 372, 411, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 68, 65, 53, 0, 20, 21,
    23, 22, 0, 28, 29, 30, 35, 36, 0, 0,
    43, 44, 0, 47, 0, 54, 55, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 62, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 133, 134,
    135, 141, 137, 136, 142, 140, 138, 139, 19, 53,
    61, 20, 21, 23, 22, 0, 28, 29, 30, 35,
    36, 0, 0, 43, 44, 0, 47, 0, 54, 55,
    0, 0, 0, 19, 53, 61, 20, 21, 23, 22,
    62, 28, 29, 30, 35, 36, 0, 0, 43, 44,
    0, 47, 0, 54, 55, 0, 0, 0, 19, 53,
    61, 20, 21, 23, 22, 62, 28, 29, 30, 35,
    36, 0, 0, 43, 44, 0, 47, 0, 54, 55,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    62, 53, 0, 20, 21, 23, 22, 0, 28, 29,
    30, 35, 36, 0, 0, 43, 44, 0, 47, 315,
    54, 55, 0, 0, 285, 348, 359, 360, 361, 362,
    286, 0, 62, 292, 291, 356, 0, 0, 0, 0,
    0, 0, 0, 0, 342, 300, 302, 301, 0, 304,
    303, 293, 341, 353, 315, 0, 0, 0, 0, 285,
    348, 359, 360, 361, 362, 286, 0, 0, 292, 291,
    356, 0, 0, 0, 0, 0, 0, 0, 0, 342,
    300, 302, 301, 0, 304, 303, 293, 341, 353, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 19, 53, 61, 20, 21,
    23, 22, 0, 28, 29, 30, 35, 36, 0, 0,
    43, 44, 0, 47, 315, 54, 55, 0, 0, 285,
    348, 359, 360, 361, 362, 286, 0, 62, 292, 291,
    356, 0, 0, 0, 0, 0, 0, 0, 0, 342,
    300, 302, 301, 0, 304, 303, 293, 341, 353, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    347, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 315, 0, 0, 0, 0, 285, 348,
    359, 360, 361, 362, 286, 0, 0, 292, 291, 356,
    0, 0, 0, 0, 0, 0, 0, 0, 342, 300,
    302, 301, 0, 304, 303, 293, 341, 353, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0,

    514, 516, 519, 517, 541, 70, 538, 539, 70, 537,
    562, 70, 70, 70, 70, 560, 76, 70, 559, 598,
    70, 70, 566, 90, 70, 70, 70, 591, 567, 742,
    707, 70, 805, 593, 594, 592, 595, 596, 590, 599,
    70, 70, 70, 198, 70, 708, 70, 609, 632, 635,
    70, 633, 631, 231, 70, 70, 639, 712, 70, 70,
    660, 150, 191, 70, 11, 67, 658, 97, 70, 79,
    657, 218, 70, 70, 104, 107, 98, 70, 115, 116,
    122, 127, 687, 130, 132, 103, 70, 75, 76, 70,
    688, 740, 82, 761, 70, 91, 783, 70, 70, 686,
    852, 70, 70, 70, 96, 806, 70, 873, 695, 70,
    701, 696, 697, 70, 702, 70, 703, 706, 739, 70,
    102, 114, 70, 106, 734, 70, 109, 735, 70, 70,
    113, 707, 70, 70, 729, 206, 70, 733, 736, 70,
    70, 737, 70, 70, 70, 126, 0, 70, 70, 70,
    70, 70, 144, 0, 239, 70, 147, 154, 149, 70,
    197, 776, 217, 222, 230, 258, 70, 223, 774, 232,
    70, 773, 801, 70, 70, 779, 183, 70, 70, 248,
    271, 278, 249, 284, 427, 70, 272, 799, 420, 70,
    279, 185, 798, 0, 70, 70, 190, 804, 929, 70,
    70, 199, 874, 70, 0, 192, 810, 821, 193, 194,
    195, 196, 70, 200, 70, 201, 70, 70, 825, 202,
    70, 207, 829, 0, 70, 70, 508, 70, 70, 512,
    209, 389, 70, 836, 210, 211, 862, 212, 842, 213,
    856, 70, 214, 215, 216, 70, 219, 220, 221, 0,
    224, 225, 226, 227, 857, 858, 859, 860, 861, 228,
    70, 229, 70, 234, 903, 233, 240, 235, 878, 242,
    879, 70, 880, 881, 243, 893, 244, 245, 246, 247,
    70, 70, 894, 70, 0, 70, 250, 898, 251, 70,
    252, 253, 902, 839, 70, 70, 907, 363, 259, 981,
    254, 908, 909, 70, 261, 262, 263, 70, 264, 919,
    265, 70, 70, 923, 391, 70, 927, 266, 70, 70,
    267, 0, 0, 939, 268, 269, 945, 270, 70, 70,
    70, 70, 943, 396, 70, 376, 273, 0, 0, 274,
    946, 947, 948, 949, 950, 275, 70, 276, 970, 277,
    70, 280, 281, 70, 964, 282, 70, 70, 283, 70,
    70, 370, 515, 70, 70, 978, 70, 440, 0, 70,
    389, 447, 987, 486, 988, 70, 996, 509, 542, 0,
    70, 1004, 513, 523, 518, 70, 70, 546, 1008, 564,
    571, 70, 602, 616, 70, 1013, 1015, 70, 1041, 1081,
    1102, 1064, 637, 661, 1085, 644, 951, 0, 928, 982,
    0, 933, 1103, 1134, 955, 1137, 989, 1057, 991, 70,
    364, 992, 1014, 70, 375, 1055, 1080, 70, 1054, 392,
    70, 70, 70, 388, 1060, 0, 70, 70, 385, 443,
    70, 70, 438, 425, 0, 70, 426, 1078, 0, 70,
    431, 1077, 0, 70, 70, 433, 70, 0, 1136, 434,
    70, 435, 1101, 436, 424, 429, 70, 70, 70, 1099,
    502, 70, 1098, 1107, 70, 70, 442, 0, 70, 70,
    1108, 70, 0, 70, 1109, 464, 467, 70, 465, 463,
    0, 70, 70, 70, 1124, 510, 70, 70, 1125, 70,
    1129, 1133, 481, 70, 482, 70, 70, 70, 1135, 70,
    499, 0, 70, 498, 500, 70, 1138, 70, 70, 507,
    503, 70, 70, 70, 70, 70, 505, 511, 70, 110,
    803, 506, 486, 610, 112, 761, 374, 828, 1064, 616,
    0, 546, 806, 74, 1011, 73, 712, 644, 239, 704,
    1041, 705, 874, 903, 1059, 955, 70, 206, 70, 1085,
    396, 407, 0, 933, 70, 523, 992, 0, 832, 1103,
    258, 128, 783, 129, 571, 73, 1152, 778, 76, 901,
    1132, 1153, 447, 926, 837, 0, 974, 475, 935, 578,
    936, 581, 1023, 1025, 1029, 698, 664, 699, 0, 940,
    700, 941, 979, 492, 0, 493, 0, 480, 422, 0,
    423, 105, 587, 664, 589, 0, 496, 108, 497, 0,
    1000, 0, 1001, 768, 721, 769, 722, 0, 0, 241,
    0, 960, 0, 961, 0, 208, 0, 0, 1005, 0,
    1006, 0, 0, 888, 0, 889, 0, 0, 0, 0,
    0, 0, 0, 0, 260, 0, 0, 0, 0, 529,
    0, 532, 0, 0, 0, 0, 0, 0, 0, 990,
    0, 1023, 1025, 1029, 0, 771, 0, 772, 1146, 0,
    0, 0, 0, 534, 0, 536, 1010, 0, 0, 0,
    683, 0, 685, 684, 0, 802, 1150, 678, 681, 0,
    0, 0, 827, 0, 0, 0, 1091, 683, 1094, 552,
    0, 555, 0, 0, 678, 681, 373, 0, 915, 1058,
    916, 0, 0, 1049, 968, 1050, 403, 0, 0, 650,
    0, 653, 899, 831, 972, 468, 0, 0, 0, 0,
    924, 0, 777, 0, 900, 1131, 0, 0, 925, 831,
    972, 973, 472, 0, 895, 468, 896, 623, 730, 626,
    731, 0, 997, 934, 572, 437, 0, 973, 0, 489,
    775, 969, 472, 403, 934, 0, 716, 718, 488, 466,
    997, 965, 489, 966, 1139, 766, 999, 572, 767, 765,
    717, 488, 1056, 958, 1079, 998, 959, 957, 764, 715,
    920, 0, 921, 0, 999, 884, 956, 525, 885, 0,
    479, 886, 527, 998, 0, 0, 0, 838, 883, 826,
    0, 800, 1100, 421, 980, 526, 1140, 1141, 1142, 1143,
    1095, 525, 1097, 0, 524, 561, 527, 766, 0, 1130,
    767, 765, 0, 1145, 1140, 1141, 1142, 1143, 659, 526,
    764, 628, 540, 630, 1087, 738, 634, 548, 524, 1089,
    0, 1145, 550, 1074, 0, 1076, 611, 1090, 0, 501,
    551, 817, 1088, 818, 0, 549, 1044, 646, 0, 0,
    911, 1086, 648, 912, 547, 1045, 913, 914, 1046, 1043,
    649, 0, 386, 910, 457, 647, 458, 0, 1042, 0,
    654, 597, 656, 0, 645, 618, 0, 944, 619, 620,
    716, 718, 0, 0, 0, 556, 884, 558, 1009, 885,
    770, 0, 886, 621, 717, 0, 1151, 0, 0, 883,
    0, 0, 617, 715, 1052, 0, 1053, 0, 0, 0,
    0, 0, 0, 958, 897, 0, 959, 957, 822, 588,
    823, 0, 0, 942, 0, 793, 956, 794, 0, 0,
    0, 0, 911, 495, 0, 912, 0, 0, 913, 914,
    0, 0, 461, 0, 462, 910, 0, 0, 1087, 1119,
    535, 1120, 0, 1089, 0, 0, 0, 0, 0, 0,
    0, 1090, 0, 0, 0, 0, 1088, 922, 0, 618,
    1007, 0, 619, 620, 0, 1086, 796, 967, 797, 0,
    0, 1066, 0, 0, 0, 0, 1068, 621, 0, 0,
    1126, 0, 1127, 0, 1069, 0, 617, 0, 0, 1067,
    0, 0, 0, 813, 814, 815, 816, 812, 1065, 0,
    0, 0, 0, 0, 0, 0, 811, 450, 646, 0,
    0, 0, 0, 648, 0, 0, 0, 452, 453, 454,
    449, 649, 0, 548, 0, 0, 647, 0, 550, 448,
    0, 0, 0, 0, 0, 645, 551, 732, 0, 0,
    0, 549, 0, 0, 0, 0, 0, 1044, 0, 0,
    547, 1070, 0, 1073, 0, 0, 1045, 0, 0, 1046,
    1043, 0, 0, 1096, 0, 0, 0, 0, 786, 1042,
    813, 814, 815, 816, 812, 0, 0, 787, 788, 789,
    790, 785, 0, 811, 0, 450, 1111, 0, 0, 1075,
    784, 0, 1113, 0, 0, 452, 453, 454, 449, 0,
    0, 1114, 1115, 1116, 1117, 0, 0, 448, 0, 0,
    1118, 0, 0, 0, 1112, 0, 0, 0, 0, 786,
    0, 0, 0, 0, 0, 0, 0, 1111, 787, 788,
    789, 790, 785, 1113, 0, 0, 0, 0, 629, 460,
    0, 784, 1114, 1115, 1116, 1117, 1051, 0, 0, 0,
    0, 1118, 0, 0, 0, 1112, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 655, 0, 0, 0, 0, 0, 0, 0, 557,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 824, 0, 0, 0, 1066,
    0, 0, 0, 0, 1068, 0, 0, 0, 0, 0,
    0, 0, 1069, 0, 0, 0, 0, 1067, 0, 0,
    0, 0, 0, 0, 0, 795, 1065, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    1128, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0
};

const short Table_LGCInputLexerIO::action_check [] = {
    0, 57, 4, 83, 5, 2, 2, 10, 7, 4,
    4, 4, 4, 4, 4, 123, 4, 4, 7, 5,
    4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
    4, 4, 4, 4, 4, 4, 4, 4, 4, 4,
    110, 4, 4, 4, 4, 4, 4, 4, 4, 4,
    4, 4, 69, 4, 4, 83, 4, 4, 4, 4,
    4, -1, 5, 6, 5, 6, 5, 6, 5, 6,
    2, 3, 2, 3, 2, 3, 2, 3, 5, 6,
    2, 3, 5, 6, 2, 3, -1, 4, 5, 5,
    6, 2, 3, 2, 3, 5, 6, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, -1, 4, 5, 5, 6, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, -1, 4, 5, 5,
    4, 5, -1, 37, 38, 2, 3, 2, 3, 2,
    3, 5, 6, 2, 3, -1, 4, 5, 2, 3,
    5, 6, 5, 6, 2, 3, 5, 6, 2, 3,
    5, 6, 2, 3, 2, 3, 2, 3, 2, 3,
    -1, 4, 5, 5, 6, 4, 5, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 5,
    6, 5, 6, 5, 6, 5, 6, 2, 3, 2,
    3, 2, 3, 5, 6, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, -1, 4, 5,
    4, 5, 2, 3, 2, 3, 2, 3, 2, 3,
    5, 6, 5, 6, 4, 5, 2, 3, -1, 4,
    5, 5, 6, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, -1, 4, 5, 5, 6,
    5, 6, -1, 2, 3, 5, 6, 2, 3, 2,
    3, 5, 6, 5, 6, 2, 3, 5, 6, 5,
    6, 2, 3, -1, 4, 5, 5, 6, 5, 6,
    5, 6, 5, 6, 5, 6, 5, 6, 2, 3,
    5, 6, 2, 3, 5, 6, 2, 3, 5, 6,
    5, 6, 5, 6, 5, 6, 5, 6, 5, 6,
    2, 3, 5, 6, 5, 6, 5, 6, 5, 6,
    5, 6, 5, 6, 5, 6, 5, 6, 2, 3,
    5, 6, 5, 6, 5, 6, 5, 6, 5, 6,
    5, 6, 5, 6, 5, 6, 5, 6, 5, 6,
    5, 6, 78, 79, 5, 6, 4, 5, 4, 5,
    5, 6, 5, 6, 5, 6, 4, 5, 5, 6,
    5, 6, 5, 6, 5, 6, 2, 3, 5, 6,
    5, 6, 5, 6, 5, 6, 2, 3, 5, 6,
    2, 3, 5, 6, 2, 3, 5, 6, 5, 6,
    2, 3, 5, 6, 5, 6, 4, 5, 5, 6,
    5, 6, 5, 6, 5, 6, 5, 6, 5, 6,
    5, 6, 2, 3, 5, 6, 2, 3, 5, 6,
    2, 3, 5, 6, 5, 6, 5, 6, 4, 5,
    5, 6, 2, 3, -1, 4, 5, 2, 3, 11,
    12, 4, 5, 5, 6, 5, 6, 5, 6, 5,
    6, 5, 6, 4, 5, 4, 5, 4, 5, 5,
    6, 4, 5, 4, 5, 4, 5, 2, 3, 2,
    3, -1, 4, 5, 2, 3, -1, 4, 5, 4,
    5, 4, 5, 2, 3, 78, 79, 4, 5, 5,
    6, 4, 5, 2, 3, -1, 4, 5, 2, 3,
    2, 3, 5, 6, 2, 3, 5, 6, 4, 5,
    4, 5, 5, 6, 4, 5, -1, 2, 3, 5,
    6, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 5, 6, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 5, 6, 5,
    6, 5, 6, 5, 6, 5, 6, 2, 3, 2,
    3, 2, 3, 5, 6, 5, 6, 2, 3, 5,
    6, 2, 3, 5, 6, 2, 3, 2, 3, 5,
    6, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 5, 6, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 5,
    6, 2, 3, 2, 3, 2, 3, 5, 6, 5,
    6, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 5, 6, -1, 4, 5, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, 2, 3, 2, 3,
    2, 3, 2, 3, -1, 4, 5, 4, 5, 4,
    5, 4, 5, 4, 5, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, 2, 3, 2,
    3, 2, 3, 2, 3, 2, 3, -1, 4, 5,
    2, 3, 2, 3, 2, 3, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, -1, 4, 5, 2,
    3, 2, 3, -1, 4, 5, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, 2, 3, 2, 3,
    2, 3, 2, 3, 2, 3, 84, -1, 86, -1,
    2, 3, 90, 2, 3, 2, 3, 2, 3, 5,
    6, 4, 5, 6, 84, -1, 86, 2, 3, -1,
    90, 31, 2, 3, 4, 2, 3, 4, 2, 3,
    2, 3, 4, 5, 8, 2, 3, -1, 5, 6,
    2, 3, 2, 3, 2, 3, 2, 3, 8, 4,
    5, 6, -1, 8, 2, 3, 41, 5, 6, 2,
    3, 4, 5, -1, 2, 3, 2, 3, 4, 5,
    4, 5, 6, -1, 8, 2, 3, 2, 3, 4,
    5, -1, 2, 3, 2, 3, -1, 2, 3, -1,
    8, 2, 3, 4, 5, 6, -1, 2, 3, -1,
    2, 3, 118, 105, 2, 3, 8, 5, 6, -1,
    8, -1, 2, 3, -1, -1, 128, 131, 8, -1,
    128, -1, 117, -1, -1, -1, 2, 3, -1, 128,
    -1, 128, 8, -1, 2, 3, 2, 3, 2, 3,
    8, 101, 8, 2, 3, 84, 85, 86, 87, 88,
    89, 90, -1, 111, -1, -1, 2, 3, -1, -1,
    122, -1, 8, -1, -1, -1, 122, 105, 130, -1,
    128, -1, -1, -1, 130, -1, -1, -1, 105, 2,
    3, -1, -1, 101, -1, 8, -1, -1, -1, -1,
    128, 111, 107, -1, -1, -1, 111, -1, -1, 101,
    -1, 128, 107, 105, 2, 3, 111, -1, 128, -1,
    8, 101, -1, 128, 2, 3, -1, -1, 108, -1,
    8, -1, -1, 128, -1, 101, -1, 129, -1, 105,
    2, 3, -1, 101, -1, 101, 8, -1, -1, 129,
    108, -1, -1, -1, -1, -1, -1, 111, 112, 113,
    114, -1, -1, 129, -1, 101, -1, -1, -1, 125,
    -1, 129, 128, 129, 128, -1, -1, -1, -1, 128,
    13, 14, 15, 16, 17, 18, 19, -1, 101, 125,
    2, 3, 128, 129, 13, 14, 15, 16, 17, 18,
    19, 84, 85, 86, 87, 88, 89, 90, 4, 5,
    6, -1, 125, 101, -1, 128, 129, -1, -1, -1,
    -1, -1, -1, 101, 20, 21, 22, 23, -1, -1,
    -1, -1, -1, 111, -1, -1, -1, 125, 116, 101,
    128, 129, 66, 67, 2, 3, 124, 71, 72, 111,
    8, 129, -1, 77, 116, 2, 3, -1, 82, -1,
    -1, 8, 124, -1, 2, 3, -1, 129, -1, -1,
    8, 95, -1, -1, -1, 99, 66, 67, -1, -1,
    -1, 71, 72, -1, 2, 3, -1, 77, 2, 3,
    8, -1, 82, -1, 8, -1, -1, 2, 3, 111,
    112, 113, 114, 8, -1, 95, -1, -1, -1, 99,
    -1, -1, -1, 2, 3, -1, 128, 2, 3, 8,
    -1, -1, -1, 8, -1, -1, -1, 13, 14, 15,
    16, 17, 18, 19, 2, 3, -1, -1, -1, -1,
    8, -1, -1, 101, -1, 58, 59, 60, 61, 62,
    63, 64, 65, 111, 101, 2, 3, -1, 116, 2,
    3, 2, 3, 101, 111, -1, 124, 8, -1, 116,
    -1, 129, -1, 111, 2, 3, -1, 124, 116, -1,
    8, -1, 129, 101, -1, -1, 124, 101, -1, -1,
    -1, 129, -1, 111, 2, 3, 101, 111, 116, -1,
    8, -1, 116, 2, 3, -1, 124, -1, -1, 8,
    124, 129, 101, -1, -1, 129, 101, -1, -1, -1,
    125, -1, 111, 128, -1, -1, 111, 116, -1, 134,
    135, 116, -1, 101, -1, 124, 2, 3, -1, 124,
    129, -1, 8, 111, 129, -1, -1, -1, 116, -1,
    -1, 2, 3, 2, 3, -1, 124, 8, -1, 8,
    101, 129, -1, -1, 111, 112, 113, 114, 111, 112,
    113, 114, -1, 101, 121, 116, -1, -1, 121, -1,
    -1, 128, -1, -1, 125, 128, -1, 128, 129, 2,
    3, -1, -1, 101, -1, 8, -1, 125, 2, 3,
    128, -1, 101, -1, 8, -1, 134, 135, -1, -1,
    -1, -1, 111, -1, -1, 114, 115, 125, 126, 127,
    128, 129, 2, 3, -1, -1, 2, 3, 8, -1,
    129, -1, 8, 132, -1, 101, -1, 2, 3, -1,
    -1, 2, 3, 8, 110, -1, -1, 8, -1, -1,
    101, -1, 101, -1, -1, -1, -1, -1, -1, 125,
    111, -1, 128, 114, 115, -1, -1, 116, 134, 135,
    -1, 2, 3, -1, -1, -1, 125, 8, 129, 128,
    129, 132, -1, -1, -1, -1, -1, -1, 101, -1,
    2, 3, 2, 3, -1, -1, -1, 101, 8, -1,
    -1, 13, 14, 15, 16, 17, 18, 19, -1, -1,
    -1, 115, 125, 126, 127, 128, 129, 2, 3, -1,
    -1, 101, 2, 3, -1, 101, -1, -1, 8, 133,
    134, -1, 136, 137, 110, 115, 101, -1, -1, -1,
    101, -1, -1, -1, 2, 3, -1, -1, 109, 125,
    8, 116, 128, 133, 134, 116, 136, 137, 134, 135,
    125, 126, 127, 128, 129, 126, 127, 128, 129, -1,
    101, -1, -1, 58, 59, 60, 61, 62, 63, 64,
    65, 2, 3, -1, -1, 116, -1, 8, -1, -1,
    -1, 101, -1, -1, 125, 126, 127, 128, 129, 109,
    -1, -1, -1, -1, 2, 3, 116, -1, -1, -1,
    8, -1, -1, -1, -1, -1, 126, 127, 128, 129,
    -1, 101, -1, 103, 104, -1, -1, 2, 3, -1,
    -1, -1, -1, 8, -1, 115, 116, -1, -1, 119,
    120, -1, -1, 101, -1, 103, 104, -1, -1, 129,
    -1, -1, -1, -1, -1, -1, -1, 115, 116, -1,
    -1, 119, 120, -1, -1, -1, -1, -1, -1, -1,
    -1, 129, -1, -1, -1, -1, -1, -1, -1, -1,
    101, -1, -1, -1, -1, 106, -1, -1, -1, 110,
    -1, -1, -1, -1, -1, 116, -1, -1, -1, -1,
    -1, -1, -1, 101, 125, 126, 127, 128, 106, -1,
    -1, -1, 110, -1, -1, -1, 137, -1, 116, -1,
    -1, -1, -1, -1, -1, -1, 101, 125, 126, 127,
    128, -1, -1, -1, -1, -1, -1, -1, -1, 137,
    -1, 116, -1, -1, -1, -1, -1, -1, -1, -1,
    125, 126, 127, 128, 129, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, 2, 3, 25, -1, 27, 28,
    29, 30, -1, 32, 33, 34, 35, 36, -1, -1,
    39, 40, -1, 42, -1, 44, 45, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, 56, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, 46, 47,
    48, 49, 50, 51, 52, 53, 54, 55, 24, 25,
    26, 27, 28, 29, 30, -1, 32, 33, 34, 35,
    36, -1, -1, 39, 40, -1, 42, -1, 44, 45,
    -1, -1, -1, 24, 25, 26, 27, 28, 29, 30,
    56, 32, 33, 34, 35, 36, -1, -1, 39, 40,
    -1, 42, -1, 44, 45, -1, -1, -1, 24, 25,
    26, 27, 28, 29, 30, 56, 32, 33, 34, 35,
    36, -1, -1, 39, 40, -1, 42, -1, 44, 45,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    56, 25, -1, 27, 28, 29, 30, -1, 32, 33,
    34, 35, 36, -1, -1, 39, 40, -1, 42, 66,
    44, 45, -1, -1, 71, 72, 73, 74, 75, 76,
    77, -1, 56, 80, 81, 82, -1, -1, -1, -1,
    -1, -1, -1, -1, 91, 92, 93, 94, -1, 96,
    97, 98, 99, 100, 66, -1, -1, -1, -1, 71,
    72, 73, 74, 75, 76, 77, -1, -1, 80, 81,
    82, -1, -1, -1, -1, -1, -1, -1, -1, 91,
    92, 93, 94, -1, 96, 97, 98, 99, 100, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, 24, 25, 26, 27, 28,
    29, 30, -1, 32, 33, 34, 35, 36, -1, -1,
    39, 40, -1, 42, 66, 44, 45, -1, -1, 71,
    72, 73, 74, 75, 76, 77, -1, 56, 80, 81,
    82, -1, -1, -1, -1, -1, -1, -1, -1, 91,
    92, 93, 94, -1, 96, 97, 98, 99, 100, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    43, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, 66, -1, -1, -1, -1, 71, 72,
    73, 74, 75, 76, 77, -1, -1, 80, 81, 82,
    -1, -1, -1, -1, -1, -1, -1, -1, 91, 92,
    93, 94, -1, 96, 97, 98, 99, 100, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1,

    6, 8, 6, 8, 6, 2, 1, 10, 2, 1,
    6, 2, 2, 2, 2, 1, 38, 2, 1, 6,
    2, 2, 1, 52, 2, 2, 2, 1, 8, 119,
    129, 2, 121, 6, 6, 10, 6, 6, 1, 6,
    2, 2, 2, 9, 2, 10, 2, 6, 1, 6,
    2, 6, 1, 72, 2, 2, 1, 8, 2, 2,
    6, 1, 86, 2, 6, 1, 1, 8, 2, 1,
    1, 9, 2, 2, 1, 1, 13, 2, 1, 1,
    1, 1, 1, 1, 1, 13, 2, 1, 38, 2,
    1, 1, 1, 8, 2, 1, 8, 2, 2, 1,
    110, 2, 2, 2, 1, 8, 2, 182, 6, 2,
    1, 6, 6, 2, 6, 2, 6, 1, 6, 2,
    1, 6, 2, 1, 6, 2, 1, 6, 2, 2,
    1, 129, 2, 2, 1, 11, 2, 1, 6, 2,
    2, 6, 2, 2, 2, 1, -1, 2, 2, 2,
    2, 2, 1, -1, 11, 2, 6, 1, 6, 2,
    1, 6, 1, 1, 1, 11, 2, 9, 1, 9,
    2, 1, 6, 2, 2, 1, 11, 2, 2, 1,
    1, 1, 9, 1, 148, 2, 9, 1, 4, 2,
    9, 6, 1, -1, 2, 2, 1, 1, 10, 2,
    2, 11, 8, 2, -1, 6, 6, 1, 6, 6,
    6, 6, 2, 6, 2, 6, 2, 2, 1, 6,
    2, 1, 1, -1, 2, 2, 10, 2, 2, 10,
    6, 23, 2, 6, 6, 6, 1, 6, 6, 6,
    6, 2, 6, 6, 6, 2, 6, 6, 6, -1,
    6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
    2, 6, 2, 6, 8, 11, 1, 6, 6, 6,
    6, 2, 6, 6, 6, 1, 6, 6, 6, 6,
    2, 2, 6, 2, -1, 2, 11, 1, 6, 2,
    6, 6, 1, 13, 2, 2, 6, 8, 1, 22,
    6, 6, 6, 2, 6, 6, 6, 2, 6, 1,
    6, 2, 2, 1, 8, 2, 1, 6, 2, 2,
    6, -1, -1, 1, 6, 6, 6, 6, 2, 2,
    2, 2, 1, 8, 2, 11, 6, -1, -1, 6,
    6, 6, 6, 6, 6, 6, 2, 6, 6, 6,
    2, 6, 6, 2, 1, 6, 2, 2, 6, 2,
    2, 1, 6, 2, 2, 6, 2, 1, -1, 2,
    23, 8, 1, 8, 6, 2, 6, 8, 1, -1,
    2, 1, 10, 8, 10, 2, 2, 8, 1, 1,
    8, 2, 1, 8, 2, 1, 10, 2, 8, 1,
    1, 8, 1, 1, 8, 8, 1, -1, 8, 1,
    -1, 8, 8, 6, 8, 6, 1, 6, 6, 2,
    10, 8, 8, 2, 6, 1, 6, 2, 1, 10,
    2, 2, 2, 1, 1, -1, 2, 2, 1, 8,
    2, 2, 6, 1, -1, 2, 6, 1, -1, 2,
    6, 1, -1, 2, 2, 6, 2, -1, 10, 6,
    2, 6, 6, 6, 1, 6, 2, 2, 2, 1,
    8, 2, 1, 6, 2, 2, 1, -1, 2, 2,
    6, 2, -1, 2, 6, 1, 6, 2, 6, 1,
    -1, 2, 2, 2, 1, 8, 2, 2, 6, 2,
    1, 1, 6, 2, 6, 2, 2, 2, 6, 2,
    1, -1, 2, 1, 6, 2, 10, 2, 2, 1,
    6, 2, 2, 2, 2, 2, 1, 10, 2, 1,
    1, 6, 8, 1, 6, 8, 1, 1, 8, 8,
    -1, 8, 8, 32, 1, 34, 8, 8, 11, 1,
    8, 3, 8, 8, 1, 8, 2, 11, 2, 8,
    8, 1, -1, 8, 2, 8, 8, -1, 1, 8,
    11, 31, 8, 32, 8, 34, 1, 1, 38, 1,
    1, 6, 8, 1, 1, -1, 1, 1, 1, 1,
    3, 3, 122, 123, 124, 1, 24, 3, -1, 1,
    6, 3, 1, 1, -1, 3, -1, 1, 1, -1,
    3, 57, 1, 24, 3, -1, 1, 55, 3, -1,
    1, -1, 3, 1, 1, 3, 3, -1, -1, 92,
    -1, 1, -1, 3, -1, 89, -1, -1, 1, -1,
    3, -1, -1, 1, -1, 3, -1, -1, -1, -1,
    -1, -1, -1, -1, 95, -1, -1, -1, -1, 1,
    -1, 3, -1, -1, -1, -1, -1, -1, -1, 113,
    -1, 122, 123, 124, -1, 1, -1, 3, 1, -1,
    -1, -1, -1, 1, -1, 3, 143, -1, -1, -1,
    118, -1, 103, 104, -1, 166, 1, 125, 126, -1,
    -1, -1, 166, -1, -1, -1, 1, 118, 3, 1,
    -1, 3, -1, -1, 125, 126, 181, -1, 1, 166,
    3, -1, -1, 1, 1, 3, 166, -1, -1, 1,
    -1, 3, 188, 166, 149, 149, -1, -1, -1, -1,
    195, -1, 166, -1, 166, 166, -1, -1, 166, 166,
    149, 166, 166, -1, 1, 149, 3, 1, 1, 3,
    3, -1, 143, 176, 176, 213, -1, 166, -1, 167,
    243, 224, 166, 166, 176, -1, 153, 154, 176, 205,
    143, 1, 167, 3, 235, 163, 167, 176, 166, 167,
    167, 176, 250, 163, 264, 176, 166, 167, 176, 176,
    1, -1, 3, -1, 167, 163, 176, 149, 166, -1,
    204, 169, 154, 176, -1, -1, -1, 234, 176, 285,
    -1, 257, 271, 216, 223, 167, 149, 150, 151, 152,
    1, 149, 3, -1, 176, 302, 154, 163, -1, 278,
    166, 167, -1, 166, 149, 150, 151, 152, 309, 167,
    176, 1, 295, 3, 149, 317, 325, 149, 176, 154,
    -1, 166, 154, 1, -1, 3, 334, 162, -1, 345,
    162, 1, 167, 3, -1, 167, 154, 149, -1, -1,
    163, 176, 154, 166, 176, 163, 169, 170, 166, 167,
    162, -1, 366, 176, 1, 167, 3, -1, 176, -1,
    1, 335, 3, -1, 176, 149, -1, 352, 152, 153,
    153, 154, -1, -1, -1, 1, 163, 3, 360, 166,
    246, -1, 169, 167, 167, -1, 231, -1, -1, 176,
    -1, -1, 176, 176, 1, -1, 3, -1, -1, -1,
    -1, -1, -1, 163, 191, -1, 166, 167, 1, 338,
    3, -1, -1, 355, -1, 1, 176, 3, -1, -1,
    -1, -1, 163, 348, -1, 166, -1, -1, 169, 170,
    -1, -1, 1, -1, 3, 176, -1, -1, 149, 1,
    298, 3, -1, 154, -1, -1, -1, -1, -1, -1,
    -1, 162, -1, -1, -1, -1, 167, 198, -1, 149,
    363, -1, 152, 153, -1, 176, 1, 227, 3, -1,
    -1, 149, -1, -1, -1, -1, 154, 167, -1, -1,
    1, -1, 3, -1, 162, -1, 176, -1, -1, 167,
    -1, -1, -1, 163, 164, 165, 166, 167, 176, -1,
    -1, -1, -1, -1, -1, -1, 176, 154, 149, -1,
    -1, -1, -1, 154, -1, -1, -1, 164, 165, 166,
    167, 162, -1, 149, -1, -1, 167, -1, 154, 176,
    -1, -1, -1, -1, -1, 176, 162, 320, -1, -1,
    -1, 167, -1, -1, -1, -1, -1, 154, -1, -1,
    176, 1, -1, 3, -1, -1, 163, -1, -1, 166,
    167, -1, -1, 274, -1, -1, -1, -1, 154, 176,
    163, 164, 165, 166, 167, -1, -1, 163, 164, 165,
    166, 167, -1, 176, -1, 154, 148, -1, -1, 267,
    176, -1, 154, -1, -1, 164, 165, 166, 167, -1,
    -1, 163, 164, 165, 166, -1, -1, 176, -1, -1,
    172, -1, -1, -1, 176, -1, -1, -1, -1, 154,
    -1, -1, -1, -1, -1, -1, -1, 148, 163, 164,
    165, 166, 167, 154, -1, -1, -1, -1, 328, 208,
    -1, 176, 163, 164, 165, 166, 253, -1, -1, -1,
    -1, 172, -1, -1, -1, 176, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, 312, -1, -1, -1, -1, -1, -1, -1, 305,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, 288, -1, -1, -1, 149,
    -1, -1, -1, -1, 154, -1, -1, -1, -1, -1,
    -1, -1, 162, -1, -1, -1, -1, 167, -1, -1,
    -1, -1, -1, -1, -1, 260, 176, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    281, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1
};

